#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSPageDescriptors = 1232,
  CSSPageRule = 1251,
  CSSPropertyRule = 1263,
  CSSPseudoElement = 1279,
  CSSRule = 1296,
  CSSRuleList = 1304,
  CSSScopeRule = 1316,
  CSSStartingStyleRule = 1329,
  CSSStyleDeclaration = 1350,
  CSSStyleRule = 1370,
  CSSStyleSheet = 1383,
  CSSSupportsRule = 1397,
  CSSTransition = 1413,
  Cache = 1427,
  CacheStorage = 1433,
  CallbackDebuggerNotification = 1446,
  CanonicalBrowsingContext = 1475,
  CanvasCaptureMediaStream = 1500,
  CanvasGradient = 1525,
  CanvasPattern = 1540,
  CanvasRenderingContext2D = 1554,
  CaretPosition = 1579,
  CaretStateChangedEvent = 1593,
  ChannelMergerNode = 1616,
  ChannelSplitterNode = 1634,
  ChannelWrapper = 1654,
  CharacterData = 1669,
  CheckerboardReportService = 1683,
  ChildProcessMessageManager = 1709,
  ChildSHistory = 1736,
  ChromeMessageBroadcaster = 1750,
  ChromeMessageSender = 1775,
  ChromeNodeList = 1795,
  ChromeUtils = 1810,
  ChromeWorker = 1822,
  Client = 1835,
  Clients = 1842,
  Clipboard = 1850,
  ClipboardEvent = 1860,
  ClipboardItem = 1875,
  ClonedErrorHolder = 1889,
  CloseEvent = 1907,
  CommandEvent = 1918,
  Comment = 1931,
  CompositionEvent = 1939,
  CompressionStream = 1956,
  ConsoleInstance = 1974,
  ConstantSourceNode = 1990,
  ContentFrameMessageManager = 2009,
  ContentProcessMessageManager = 2036,
  ContentVisibilityAutoStateChangeEvent = 2065,
  ConvolverNode = 2103,
  CountQueuingStrategy = 2117,
  CreateOfferRequest = 2138,
  Credential = 2157,
  CredentialsContainer = 2168,
  Crypto = 2189,
  CryptoKey = 2196,
  CustomElementRegistry = 2206,
  CustomEvent = 2228,
  CustomStateSet = 2240,
  DOMException = 2255,
  DOMImplementation = 2268,
  DOMLocalization = 2286,
  DOMMatrix = 2302,
  DOMMatrixReadOnly = 2312,
  DOMParser = 2330,
  DOMPoint = 2340,
  DOMPointReadOnly = 2349,
  DOMQuad = 2366,
  DOMRect = 2374,
  DOMRectList = 2382,
  DOMRectReadOnly = 2394,
  DOMStringList = 2410,
  DOMStringMap = 2424,
  DOMTokenList = 2437,
  DataTransfer = 2450,
  DataTransferItem = 2463,
  DataTransferItemList = 2480,
  DebuggerNotification = 2501,
  DebuggerNotificationObserver = 2522,
  DecompressionStream = 2551,
  DedicatedWorkerGlobalScope = 2571,
  DelayNode = 2598,
  DeprecationReportBody = 2608,
  DeviceAcceleration = 2630,
  DeviceLightEvent = 2649,
  DeviceMotionEvent = 2666,
  DeviceOrientationEvent = 2684,
  DeviceRotationRate = 2707,
  Directory = 2726,
  Document = 2736,
  DocumentFragment = 2745,
  DocumentL10n = 2762,
  DocumentTimeline = 2775,
  DocumentType = 2792,
  DominatorTree = 2805,
  DragEvent = 2819,
  DynamicsCompressorNode = 2829,
  EXT_blend_minmax = 2852,
  EXT_color_buffer_float = 2869,
  EXT_color_buffer_half_float = 2892,
  EXT_depth_clamp = 2920,
  EXT_disjoint_timer_query = 2936,
  EXT_float_blend = 2961,
  EXT_frag_depth = 2977,
  EXT_sRGB = 2992,
  EXT_shader_texture_lod = 3001,
  EXT_texture_compression_bptc = 3024,
  EXT_texture_compression_rgtc = 3053,
  EXT_texture_filter_anisotropic = 3082,
  EXT_texture_norm16 = 3113,
  Element = 3132,
  ElementInternals = 3140,
  EncodedAudioChunk = 3157,
  EncodedVideoChunk = 3175,
  ErrorEvent = 3193,
  Event = 3204,
  EventCallbackDebuggerNotification = 3210,
  EventCounts = 3244,
  EventSource = 3256,
  EventTarget = 3268,
  Exception = 3280,
  ExtendableEvent = 3290,
  ExtendableMessageEvent = 3306,
  ExtensionAlarms = 3329,
  ExtensionBrowser = 3345,
  ExtensionBrowserSettings = 3362,
  ExtensionBrowserSettingsColorManagement = 3387,
  ExtensionDns = 3427,
  ExtensionEventManager = 3440,
  ExtensionMockAPI = 3462,
  ExtensionPort = 3479,
  ExtensionProxy = 3493,
  ExtensionRuntime = 3508,
  ExtensionScripting = 3525,
  ExtensionSetting = 3544,
  ExtensionTest = 3561,
  External = 3575,
  FeaturePolicy = 3584,
  FeaturePolicyViolationReportBody = 3598,
  FetchEvent = 3631,
  FetchObserver = 3642,
  File = 3656,
  FileList = 3661,
  FileReader = 3670,
  FileReaderSync = 3681,
  FileSystem = 3696,
  FileSystemDirectoryEntry = 3707,
  FileSystemDirectoryHandle = 3732,
  FileSystemDirectoryHandle_AsyncIterator = 3758,
  FileSystemDirectoryIterator = 3798,
  FileSystemDirectoryReader = 3826,
  FileSystemEntry = 3852,
  FileSystemFileEntry = 3868,
  FileSystemFileHandle = 3888,
  FileSystemHandle = 3909,
  FileSystemSyncAccessHandle = 3926,
  FileSystemWritableFileStream = 3953,
  Flex = 3982,
  FlexItemValues = 3987,
  FlexLineValues = 4002,
  FluentBundle = 4017,
  FluentBundleAsyncIterator = 4030,
  FluentBundleIterator = 4056,
  FluentPattern = 4077,
  FluentResource = 4091,
  FocusEvent = 4106,
  FontFace = 4117,
  FontFaceSet = 4126,
  FontFaceSetIterator = 4138,
  FontFaceSetLoadEvent = 4158,
  FormData = 4179,
  FormData_Iterator = 4188,
  FormDataEvent = 4206,
  FragmentDirective = 4220,
  FrameCrashedEvent = 4238,
  FrameLoader = 4256,
  GPU = 4268,
  GPUAdapter = 4272,
  GPUAdapterInfo = 4283,
  GPUBindGroup = 4298,
  GPUBindGroupLayout = 4311,
  GPUBuffer = 4330,
  GPUBufferUsage = 4340,
  GPUCanvasContext = 4355,
  GPUColorWrite = 4372,
  GPUCommandBuffer = 4386,
  GPUCommandEncoder = 4403,
  GPUCompilationInfo = 4421,
  GPUCompilationMessage = 4440,
  GPUComputePassEncoder = 4462,
  GPUComputePipeline = 4484,
  GPUDevice = 4503,
  GPUDeviceLostInfo = 4513,
  GPUError = 4531,
  GPUInternalError = 4540,
  GPUMapMode = 4557,
  GPUOutOfMemoryError = 4568,
  GPUPipelineLayout = 4588,
  GPUQuerySet = 4606,
  GPUQueue = 4618,
  GPURenderBundle = 4627,
  GPURenderBundleEncoder = 4643,
  GPURenderPassEncoder = 4666,
  GPURenderPipeline = 4687,
  GPUSampler = 4705,
  GPUShaderModule = 4716,
  GPUShaderStage = 4732,
  GPUSupportedFeatures = 4747,
  GPUSupportedLimits = 4768,
  GPUTexture = 4787,
  GPUTextureUsage = 4798,
  GPUTextureView = 4814,
  GPUUncapturedErrorEvent = 4829,
  GPUValidationError = 4853,
  GainNode = 4872,
  Gamepad = 4881,
  GamepadAxisMoveEvent = 4889,
  GamepadButton = 4910,
  GamepadButtonEvent = 4924,
  GamepadEvent = 4943,
  GamepadHapticActuator = 4956,
  GamepadLightIndicator = 4978,
  GamepadPose = 5000,
  GamepadServiceTest = 5012,
  GamepadTouch = 5031,
  Geolocation = 5044,
  GeolocationCoordinates = 5056,
  GeolocationPosition = 5079,
  GeolocationPositionError = 5099,
  GetUserMediaRequest = 5124,
  GleanBoolean = 5144,
  GleanCategory = 5157,
  GleanCounter = 5171,
  GleanCustomDistribution = 5184,
  GleanDatetime = 5208,
  GleanDenominator = 5222,
  GleanEvent = 5239,
  GleanImpl = 5250,
  GleanLabeled = 5260,
  GleanMemoryDistribution = 5273,
  GleanMetric = 5297,
  GleanNumerator = 5309,
  GleanObject = 5324,
  GleanPingsImpl = 5336,
  GleanQuantity = 5351,
  GleanRate = 5365,
  GleanString = 5375,
  GleanStringList = 5387,
  GleanText = 5403,
  GleanTimespan = 5413,
  GleanTimingDistribution = 5427,
  GleanUrl = 5451,
  GleanUuid = 5460,
  Grid = 5470,
  GridArea = 5475,
  GridDimension = 5484,
  GridLine = 5498,
  GridLines = 5507,
  GridTrack = 5517,
  GridTracks = 5527,
  HTMLAllCollection = 5538,
  HTMLAnchorElement = 5556,
  HTMLAreaElement = 5574,
  HTMLAudioElement = 5590,
  HTMLBRElement = 5607,
  HTMLBaseElement = 5621,
  HTMLBodyElement = 5637,
  HTMLButtonElement = 5653,
  HTMLCanvasElement = 5671,
  HTMLCollection = 5689,
  HTMLDListElement = 5704,
  HTMLDataElement = 5721,
  HTMLDataListElement = 5737,
  HTMLDetailsElement = 5757,
  HTMLDialogElement = 5776,
  HTMLDirectoryElement = 5794,
  HTMLDivElement = 5815,
  HTMLDocument = 5830,
  HTMLElement = 5843,
  HTMLEmbedElement = 5855,
  HTMLFieldSetElement = 5872,
  HTMLFontElement = 5892,
  HTMLFormControlsCollection = 5908,
  HTMLFormElement = 5935,
  HTMLFrameElement = 5951,
  HTMLFrameSetElement = 5968,
  HTMLHRElement = 5988,
  HTMLHeadElement = 6002,
  HTMLHeadingElement = 6018,
  HTMLHtmlElement = 6037,
  HTMLIFrameElement = 6053,
  HTMLImageElement = 6071,
  HTMLInputElement = 6088,
  HTMLLIElement = 6105,
  HTMLLabelElement = 6119,
  HTMLLegendElement = 6136,
  HTMLLinkElement = 6154,
  HTMLMapElement = 6170,
  HTMLMarqueeElement = 6185,
  HTMLMediaElement = 6204,
  HTMLMenuElement = 6221,
  HTMLMetaElement = 6237,
  HTMLMeterElement = 6253,
  HTMLModElement = 6270,
  HTMLOListElement = 6285,
  HTMLObjectElement = 6302,
  HTMLOptGroupElement = 6320,
  HTMLOptionElement = 6340,
  HTMLOptionsCollection = 6358,
  HTMLOutputElement = 6380,
  HTMLParagraphElement = 6398,
  HTMLParamElement = 6419,
  HTMLPictureElement = 6436,
  HTMLPreElement = 6455,
  HTMLProgressElement = 6470,
  HTMLQuoteElement = 6490,
  HTMLScriptElement = 6507,
  HTMLSelectElement = 6525,
  HTMLSlotElement = 6543,
  HTMLSourceElement = 6559,
  HTMLSpanElement = 6577,
  HTMLStyleElement = 6593,
  HTMLTableCaptionElement = 6610,
  HTMLTableCellElement = 6634,
  HTMLTableColElement = 6655,
  HTMLTableElement = 6675,
  HTMLTableRowElement = 6692,
  HTMLTableSectionElement = 6712,
  HTMLTemplateElement = 6736,
  HTMLTextAreaElement = 6756,
  HTMLTimeElement = 6776,
  HTMLTitleElement = 6792,
  HTMLTrackElement = 6809,
  HTMLUListElement = 6826,
  HTMLUnknownElement = 6843,
  HTMLVideoElement = 6862,
  HashChangeEvent = 6879,
  Headers = 6895,
  Headers_Iterator = 6903,
  HeapSnapshot = 6920,
  Highlight = 6933,
  HighlightRegistry = 6943,
  History = 6961,
  IDBCursor = 6969,
  IDBCursorWithValue = 6979,
  IDBDatabase = 6998,
  IDBFactory = 7010,
  IDBIndex = 7021,
  IDBKeyRange = 7030,
  IDBObjectStore = 7042,
  IDBOpenDBRequest = 7057,
  IDBRequest = 7074,
  IDBTransaction = 7085,
  IDBVersionChangeEvent = 7100,
  IIRFilterNode = 7122,
  IOUtils = 7136,
  IdentityCredential = 7144,
  IdleDeadline = 7163,
  Image = 7176,
  ImageBitmap = 7182,
  ImageBitmapRenderingContext = 7194,
  ImageCapture = 7222,
  ImageCaptureError = 7235,
  ImageCaptureErrorEvent = 7253,
  ImageData = 7276,
  ImageDecoder = 7286,
  ImageDocument = 7299,
  ImageTrack = 7313,
  ImageTrackList = 7324,
  InputEvent = 7339,
  InspectorCSSParser = 7350,
  InspectorFontFace = 7369,
  InspectorUtils = 7387,
  InstallTriggerImpl = 7402,
  IntersectionObserver = 7421,
  IntersectionObserverEntry = 7442,
  IntlUtils = 7468,
  InvokeEvent = 7478,
  JSProcessActorChild = 7490,
  JSProcessActorParent = 7510,
  JSWindowActorChild = 7531,
  JSWindowActorParent = 7550,
  KeyEvent = 7570,
  KeyboardEvent = 7579,
  KeyframeEffect = 7593,
  L10nFileSource = 7608,
  L10nOverlays = 7623,
  L10nRegistry = 7636,
  LargestContentfulPaint = 7649,
  LegacyMozTCPSocket = 7672,
  Localization = 7691,
  Location = 7704,
  Lock = 7713,
  LockManager = 7718,
  MIDIAccess = 7730,
  MIDIConnectionEvent = 7741,
  MIDIInput = 7761,
  MIDIInputMap = 7771,
  MIDIMessageEvent = 7784,
  MIDIOutput = 7801,
  MIDIOutputMap = 7812,
  MIDIPort = 7826,
  MOZ_debug = 7835,
  MatchGlob = 7845,
  MatchPattern = 7855,
  MatchPatternSet = 7868,
  MathMLElement = 7884,
  MediaCapabilities = 7898,
  MediaControlService = 7916,
  MediaController = 7936,
  MediaDeviceInfo = 7952,
  MediaDevices = 7968,
  MediaElementAudioSourceNode = 7981,
  MediaEncryptedEvent = 8009,
  MediaError = 8029,
  MediaKeyError = 8040,
  MediaKeyMessageEvent = 8054,
  MediaKeySession = 8075,
  MediaKeyStatusMap = 8091,
  MediaKeyStatusMap_Iterator = 8109,
  MediaKeySystemAccess = 8136,
  MediaKeys = 8157,
  MediaList = 8167,
  MediaMetadata = 8177,
  MediaQueryList = 8191,
  MediaQueryListEvent = 8206,
  MediaRecorder = 8226,
  MediaRecorderErrorEvent = 8240,
  MediaSession = 8264,
  MediaSource = 8277,
  MediaStream = 8289,
  MediaStreamAudioDestinationNode = 8301,
  MediaStreamAudioSourceNode = 8333,
  MediaStreamError = 8360,
  MediaStreamEvent = 8377,
  MediaStreamTrack = 8394,
  MediaStreamTrackAudioSourceNode = 8411,
  MediaStreamTrackEvent = 8443,
  MerchantValidationEvent = 8465,
  MessageBroadcaster = 8489,
  MessageChannel = 8508,
  MessageEvent = 8523,
  MessageListenerManager = 8536,
  MessagePort = 8559,
  MessageSender = 8571,
  MimeType = 8585,
  MimeTypeArray = 8594,
  MouseEvent = 8608,
  MouseScrollEvent = 8619,
  MozCanvasPrintState = 8636,
  MozDocumentMatcher = 8656,
  MozDocumentObserver = 8675,
  MozQueryInterface = 8695,
  MozSharedMap = 8713,
  MozSharedMap_Iterator = 8726,
  MozSharedMapChangeEvent = 8748,
  MozStorageAsyncStatementParams = 8772,
  MozStorageStatementParams = 8803,
  MozStorageStatementRow = 8829,
  MozWritableSharedMap = 8852,
  MutationEvent = 8873,
  MutationObserver = 8887,
  MutationRecord = 8904,
  NamedNodeMap = 8919,
  NavigateEvent = 8932,
  Navigation = 8946,
  NavigationActivation = 8957,
  NavigationCurrentEntryChangeEvent = 8978,
  NavigationDestination = 9012,
  NavigationHistoryEntry = 9034,
  NavigationPreloadManager = 9057,
  NavigationTransition = 9082,
  Navigator = 9103,
  NetworkInformation = 9113,
  Node = 9132,
  NodeFilter = 9137,
  NodeIterator = 9148,
  NodeList = 9161,
  Notification = 9170,
  NotificationEvent = 9183,
  NotifyPaintEvent = 9201,
  OES_draw_buffers_indexed = 9218,
  OES_element_index_uint = 9243,
  OES_fbo_render_mipmap = 9266,
  OES_standard_derivatives = 9288,
  OES_texture_float = 9313,
  OES_texture_float_linear = 9331,
  OES_texture_half_float = 9356,
  OES_texture_half_float_linear = 9379,
  OES_vertex_array_object = 9409,
  OVR_multiview2 = 9433,
  OfflineAudioCompletionEvent = 9448,
  OfflineAudioContext = 9476,
  OffscreenCanvas = 9496,
  OffscreenCanvasRenderingContext2D = 9512,
  OnlyForUseInConstructor = 9546,
  Option = 9570,
  OscillatorNode = 9577,
  PageTransitionEvent = 9592,
  PaintRequest = 9612,
  PaintRequestList = 9625,
  PaintWorkletGlobalScope = 9642,
  PannerNode = 9666,
  ParentProcessMessageManager = 9677,
  Path2D = 9705,
  PathUtils = 9712,
  PaymentAddress = 9722,
  PaymentMethodChangeEvent = 9737,
  PaymentRequest = 9762,
  PaymentRequestUpdateEvent = 9777,
  PaymentResponse = 9803,
  PeerConnectionImpl = 9819,
  PeerConnectionObserver = 9838,
  Performance = 9861,
  PerformanceEntry = 9873,
  PerformanceEntryEvent = 9890,
  PerformanceEventTiming = 9912,
  PerformanceMark = 9935,
  PerformanceMeasure = 9951,
  PerformanceNavigation = 9970,
  PerformanceNavigationTiming = 9992,
  PerformanceObserver = 10020,
  PerformanceObserverEntryList = 10040,
  PerformancePaintTiming = 10069,
  PerformanceResourceTiming = 10092,
  PerformanceServerTiming = 10118,
  PerformanceTiming = 10142,
  PeriodicWave = 10160,
  PermissionStatus = 10173,
  Permissions = 10190,
  PlacesBookmark = 10202,
  PlacesBookmarkAddition = 10217,
  PlacesBookmarkChanged = 10240,
  PlacesBookmarkGuid = 10262,
  PlacesBookmarkKeyword = 10281,
  PlacesBookmarkMoved = 10303,
  PlacesBookmarkRemoved = 10323,
  PlacesBookmarkTags = 10345,
  PlacesBookmarkTime = 10364,
  PlacesBookmarkTitle = 10383,
  PlacesBookmarkUrl = 10403,
  PlacesEvent = 10421,
  PlacesEventCounts = 10433,
  PlacesFavicon = 10451,
  PlacesHistoryCleared = 10465,
  PlacesObservers = 10486,
  PlacesPurgeCaches = 10502,
  PlacesRanking = 10520,
  PlacesVisit = 10534,
  PlacesVisitRemoved = 10546,
  PlacesVisitTitle = 10565,
  PlacesWeakCallbackWrapper = 10582,
  Plugin = 10608,
  PluginArray = 10615,
  PluginCrashedEvent = 10627,
  PointerEvent = 10646,
  PopStateEvent = 10659,
  PopupBlockedEvent = 10673,
  PopupPositionedEvent = 10691,
  PositionStateEvent = 10712,
  PrecompiledScript = 10731,
  PrivateAttribution = 10749,
  ProcessMessageManager = 10768,
  ProcessingInstruction = 10790,
  ProgressEvent = 10812,
  PromiseDebugging = 10826,
  PromiseNativeHandler = 10843,
  PromiseRejectionEvent = 10864,
  PublicKeyCredential = 10886,
  PushEvent = 10906,
  PushManager = 10916,
  PushManagerImpl = 10928,
  PushMessageData = 10944,
  PushSubscription = 10960,
  PushSubscriptionOptions = 10977,
  RTCCertificate = 11001,
  RTCDTMFSender = 11016,
  RTCDTMFToneChangeEvent = 11030,
  RTCDataChannel = 11053,
  RTCDataChannelEvent = 11068,
  RTCDtlsTransport = 11088,
  RTCEncodedAudioFrame = 11105,
  RTCEncodedVideoFrame = 11126,
  RTCIceCandidate = 11147,
  RTCIceTransport = 11163,
  RTCIdentityProviderRegistrar = 11179,
  RTCPeerConnection = 11208,
  RTCPeerConnectionIceEvent = 11226,
  RTCPeerConnectionStatic = 11252,
  RTCRtpReceiver = 11276,
  RTCRtpScriptTransform = 11291,
  RTCRtpScriptTransformer = 11313,
  RTCRtpSender = 11337,
  RTCRtpTransceiver = 11350,
  RTCSctpTransport = 11368,
  RTCSessionDescription = 11385,
  RTCStatsReport = 11407,
  RTCTrackEvent = 11422,
  RTCTransformEvent = 11436,
  RadioNodeList = 11454,
  Range = 11468,
  ReadableByteStreamController = 11474,
  ReadableStream = 11503,
  ReadableStream_AsyncIterator = 11518,
  ReadableStreamBYOBReader = 11547,
  ReadableStreamBYOBRequest = 11572,
  ReadableStreamDefaultController = 11598,
  ReadableStreamDefaultReader = 11630,
  Report = 11658,
  ReportBody = 11665,
  ReportingObserver = 11676,
  Request = 11694,
  ResizeObserver = 11702,
  ResizeObserverEntry = 11717,
  ResizeObserverSize = 11737,
  Response = 11756,
  SVGAElement = 11765,
  SVGAngle = 11777,
  SVGAnimateElement = 11786,
  SVGAnimateMotionElement = 11804,
  SVGAnimateTransformElement = 11828,
  SVGAnimatedAngle = 11855,
  SVGAnimatedBoolean = 11872,
  SVGAnimatedEnumeration = 11891,
  SVGAnimatedInteger = 11914,
  SVGAnimatedLength = 11933,
  SVGAnimatedLengthList = 11951,
  SVGAnimatedNumber = 11973,
  SVGAnimatedNumberList = 11991,
  SVGAnimatedPreserveAspectRatio = 12013,
  SVGAnimatedRect = 12044,
  SVGAnimatedString = 12060,
  SVGAnimatedTransformList = 12078,
  SVGAnimationElement = 12103,
  SVGCircleElement = 12123,
  SVGClipPathElement = 12140,
  SVGComponentTransferFunctionElement = 12159,
  SVGDefsElement = 12195,
  SVGDescElement = 12210,
  SVGElement = 12225,
  SVGEllipseElement = 12236,
  SVGFEBlendElement = 12254,
  SVGFEColorMatrixElement = 12272,
  SVGFEComponentTransferElement = 12296,
  SVGFECompositeElement = 12326,
  SVGFEConvolveMatrixElement = 12348,
  SVGFEDiffuseLightingElement = 12375,
  SVGFEDisplacementMapElement = 12403,
  SVGFEDistantLightElement = 12431,
  SVGFEDropShadowElement = 12456,
  SVGFEFloodElement = 12479,
  SVGFEFuncAElement = 12497,
  SVGFEFuncBElement = 12515,
  SVGFEFuncGElement = 12533,
  SVGFEFuncRElement = 12551,
  SVGFEGaussianBlurElement = 12569,
  SVGFEImageElement = 12594,
  SVGFEMergeElement = 12612,
  SVGFEMergeNodeElement = 12630,
  SVGFEMorphologyElement = 12652,
  SVGFEOffsetElement = 12675,
  SVGFEPointLightElement = 12694,
  SVGFESpecularLightingElement = 12717,
  SVGFESpotLightElement = 12746,
  SVGFETileElement = 12768,
  SVGFETurbulenceElement = 12785,
  SVGFilterElement = 12808,
  SVGForeignObjectElement = 12825,
  SVGGElement = 12849,
  SVGGeometryElement = 12861,
  SVGGradientElement = 12880,
  SVGGraphicsElement = 12899,
  SVGImageElement = 12918,
  SVGLength = 12934,
  SVGLengthList = 12944,
  SVGLineElement = 12958,
  SVGLinearGradientElement = 12973,
  SVGMPathElement = 12998,
  SVGMarkerElement = 13014,
  SVGMaskElement = 13031,
  SVGMatrix = 13046,
  SVGMetadataElement = 13056,
  SVGNumber = 13075,
  SVGNumberList = 13085,
  SVGPathElement = 13099,
  SVGPatternElement = 13114,
  SVGPoint = 13132,
  SVGPointList = 13141,
  SVGPolygonElement = 13154,
  SVGPolylineElement = 13172,
  SVGPreserveAspectRatio = 13191,
  SVGRadialGradientElement = 13214,
  SVGRect = 13239,
  SVGRectElement = 13247,
  SVGSVGElement = 13262,
  SVGScriptElement = 13276,
  SVGSetElement = 13293,
  SVGStopElement = 13307,
  SVGStringList = 13322,
  SVGStyleElement = 13336,
  SVGSwitchElement = 13352,
  SVGSymbolElement = 13369,
  SVGTSpanElement = 13386,
  SVGTextContentElement = 13402,
  SVGTextElement = 13424,
  SVGTextPathElement = 13439,
  SVGTextPositioningElement = 13458,
  SVGTitleElement = 13484,
  SVGTransform = 13500,
  SVGTransformList = 13513,
  SVGUnitTypes = 13530,
  SVGUseElement = 13543,
  SVGViewElement = 13557,
  Sanitizer = 13572,
  Scheduler = 13582,
  Screen = 13592,
  ScreenLuminance = 13599,
  ScreenOrientation = 13615,
  ScriptProcessorNode = 13633,
  ScrollAreaEvent = 13653,
  ScrollViewChangeEvent = 13669,
  SecurityPolicyViolationEvent = 13691,
  Selection = 13720,
  ServiceWorker = 13730,
  ServiceWorkerContainer = 13744,
  ServiceWorkerGlobalScope = 13767,
  ServiceWorkerRegistration = 13792,
  SessionStoreFormData = 13818,
  SessionStoreScrollData = 13839,
  SessionStoreUtils = 13862,
  ShadowRealmGlobalScope = 13880,
  ShadowRoot = 13903,
  SharedWorker = 13914,
  SharedWorkerGlobalScope = 13927,
  SimpleGestureEvent = 13951,
  SourceBuffer = 13970,
  SourceBufferList = 13983,
  SpeechGrammar = 14000,
  SpeechGrammarList = 14014,
  SpeechRecognition = 14032,
  SpeechRecognitionAlternative = 14050,
  SpeechRecognitionError = 14079,
  SpeechRecognitionEvent = 14102,
  SpeechRecognitionResult = 14125,
  SpeechRecognitionResultList = 14149,
  SpeechSynthesis = 14177,
  SpeechSynthesisErrorEvent = 14193,
  SpeechSynthesisEvent = 14219,
  SpeechSynthesisUtterance = 14240,
  SpeechSynthesisVoice = 14265,
  StaticRange = 14286,
  StereoPannerNode = 14298,
  Storage = 14315,
  StorageEvent = 14323,
  StorageManager = 14336,
  StreamFilter = 14351,
  StreamFilterDataEvent = 14364,
  StructuredCloneHolder = 14386,
  StructuredCloneTester = 14408,
  StyleSheet = 14430,
  StyleSheetApplicableStateChangeEvent = 14441,
  StyleSheetList = 14478,
  StyleSheetRemovedEvent = 14493,
  SubmitEvent = 14516,
  SubtleCrypto = 14528,
  SyncMessageSender = 14541,
  SyncReadFile = 14559,
  TCPServerSocket = 14572,
  TCPServerSocketEvent = 14588,
  TCPSocket = 14609,
  TCPSocketErrorEvent = 14619,
  TCPSocketEvent = 14639,
  TaskController = 14654,
  TaskPriorityChangeEvent = 14669,
  TaskSignal = 14693,
  TelemetryStopwatch = 14704,
  TestAttributesOnTypes = 14723,
  TestCEReactionsInterface = 14745,
  TestCImplementedInterface = 14770,
  TestCImplementedInterface2 = 14796,
  TestCallbackDictUnionOverload = 14823,
  TestChildInterface = 14853,
  TestConstructorForFuncInterface = 14872,
  TestConstructorForPrefInterface = 14904,
  TestConstructorForSCInterface = 14936,
  TestCppKeywordNamedMethodsInterface = 14966,
  TestDeprecatedInterface = 15002,
  TestExampleInterface = 15026,
  TestExampleProxyInterface = 15047,
  TestExampleThrowingConstructorInterface = 15073,
  TestExampleWorkerInterface = 15113,
  TestFuncConstructorForDifferentFuncInterface = 15140,
  TestFuncConstructorForInterface = 15185,
  TestHTMLConstructorInterface = 15217,
  TestIndexedAndNamedGetterAndSetterInterface = 15246,
  TestIndexedAndNamedGetterInterface = 15290,
  TestIndexedAndNamedSetterInterface = 15325,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15360,
  TestIndexedGetterInterface = 15410,
  TestIndexedSetterInterface = 15437,
  TestInterface = 15464,
  TestInterfaceWithPromiseConstructorArg = 15478,
  TestJSImplInterface = 15517,
  TestJSImplInterface2 = 15537,
  TestJSImplInterface3 = 15558,
  TestJSImplInterface4 = 15579,
  TestJSImplInterface5 = 15600,
  TestJSImplInterface6 = 15621,
  TestJSImplNoInterfaceObject = 15642,
  TestLegacyFactoryFunctionInterface = 15670,
  TestLegacyFactoryFunctionInterface2 = 15705,
  TestNamedDeleterInterface = 15741,
  TestNamedDeleterWithRetvalInterface = 15767,
  TestNamedGetterInterface = 15803,
  TestNamedSetterInterface = 15828,
  TestNamespace = 15853,
  TestNonWrapperCacheInterface = 15867,
  TestParentInterface = 15896,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15916,
  TestPrefConstructorForDifferentPrefInterface = 15964,
  TestPrefConstructorForInterface = 16009,
  TestProtoObjectHackedNamespace = 16041,
  TestRenamedInterface = 16072,
  TestRenamedNamespace = 16093,
  TestSCConstructorForInterface = 16114,
  TestSecureContextInterface = 16144,
  TestThrowingConstructorInterface = 16171,
  TestUtils = 16204,
  TestWorkerExposedInterface = 16214,
  TestingDeprecatedInterface = 16241,
  Text = 16268,
  TextClause = 16273,
  TextDecoder = 16284,
  TextDecoderStream = 16296,
  TextEncoder = 16314,
  TextEncoderStream = 16326,
  TextEvent = 16344,
  TextMetrics = 16354,
  TextTrack = 16366,
  TextTrackCue = 16376,
  TextTrackCueList = 16389,
  TextTrackList = 16406,
  TimeEvent = 16420,
  TimeRanges = 16430,
  ToggleEvent = 16441,
  Touch = 16453,
  TouchEvent = 16459,
  TouchList = 16470,
  TrackEvent = 16480,
  TransformStream = 16491,
  TransformStreamDefaultController = 16507,
  TransitionEvent = 16540,
  TreeColumn = 16556,
  TreeColumns = 16567,
  TreeContentView = 16579,
  TreeWalker = 16595,
  TrustedHTML = 16606,
  TrustedScript = 16618,
  TrustedScriptURL = 16632,
  TrustedTypePolicy = 16649,
  TrustedTypePolicyFactory = 16667,
  UDPMessageEvent = 16692,
  UDPSocket = 16708,
  UIEvent = 16718,
  URL = 16726,
  URLSearchParams = 16730,
  URLSearchParams_Iterator = 16746,
  UniFFIPointer = 16771,
  UniFFIScaffolding = 16785,
  UserActivation = 16803,
  UserInteraction = 16818,
  UserProximityEvent = 16834,
  VRDisplay = 16853,
  VRDisplayCapabilities = 16863,
  VRDisplayEvent = 16885,
  VREyeParameters = 16900,
  VRFieldOfView = 16916,
  VRFrameData = 16930,
  VRMockController = 16942,
  VRMockDisplay = 16959,
  VRPose = 16973,
  VRServiceTest = 16980,
  VRStageParameters = 16994,
  VTTCue = 17012,
  VTTRegion = 17019,
  ValidityState = 17029,
  VideoColorSpace = 17043,
  VideoDecoder = 17059,
  VideoEncoder = 17072,
  VideoFrame = 17085,
  VideoPlaybackQuality = 17096,
  VideoTrack = 17117,
  VideoTrackList = 17128,
  VisualViewport = 17143,
  WEBGL_color_buffer_float = 17158,
  WEBGL_compressed_texture_astc = 17183,
  WEBGL_compressed_texture_etc = 17213,
  WEBGL_compressed_texture_etc1 = 17242,
  WEBGL_compressed_texture_pvrtc = 17272,
  WEBGL_compressed_texture_s3tc = 17303,
  WEBGL_compressed_texture_s3tc_srgb = 17333,
  WEBGL_debug_renderer_info = 17368,
  WEBGL_debug_shaders = 17394,
  WEBGL_depth_texture = 17414,
  WEBGL_draw_buffers = 17434,
  WEBGL_explicit_present = 17453,
  WEBGL_lose_context = 17476,
  WEBGL_provoking_vertex = 17495,
  WakeLock = 17518,
  WakeLockSentinel = 17527,
  WaveShaperNode = 17544,
  WebExtensionContentScript = 17559,
  WebExtensionPolicy = 17585,
  WebGL2RenderingContext = 17604,
  WebGLActiveInfo = 17627,
  WebGLBuffer = 17643,
  WebGLContextEvent = 17655,
  WebGLFramebuffer = 17673,
  WebGLProgram = 17690,
  WebGLQuery = 17703,
  WebGLRenderbuffer = 17714,
  WebGLRenderingContext = 17732,
  WebGLSampler = 17754,
  WebGLShader = 17767,
  WebGLShaderPrecisionFormat = 17779,
  WebGLSync = 17806,
  WebGLTexture = 17816,
  WebGLTransformFeedback = 17829,
  WebGLUniformLocation = 17852,
  WebGLVertexArrayObject = 17873,
  WebKitCSSMatrix = 17896,
  WebSocket = 17912,
  WebTransport = 17922,
  WebTransportBidirectionalStream = 17935,
  WebTransportDatagramDuplexStream = 17967,
  WebTransportError = 18000,
  WebTransportReceiveStream = 18018,
  WebTransportSendStream = 18044,
  WebrtcGlobalInformation = 18067,
  WheelEvent = 18091,
  Window = 18102,
  WindowClient = 18109,
  WindowContext = 18122,
  WindowGlobalChild = 18136,
  WindowGlobalParent = 18154,
  WindowRoot = 18173,
  Worker = 18184,
  WorkerDebuggerGlobalScope = 18191,
  WorkerGlobalScope = 18217,
  WorkerLocation = 18235,
  WorkerNavigator = 18250,
  WorkerTestUtils = 18266,
  Worklet = 18282,
  WorkletGlobalScope = 18290,
  WritableStream = 18309,
  WritableStreamDefaultController = 18324,
  WritableStreamDefaultWriter = 18356,
  XMLDocument = 18384,
  XMLHttpRequest = 18396,
  XMLHttpRequestEventTarget = 18411,
  XMLHttpRequestUpload = 18437,
  XMLSerializer = 18458,
  XPathEvaluator = 18472,
  XPathExpression = 18487,
  XPathResult = 18503,
  XRBoundedReferenceSpace = 18515,
  XRFrame = 18539,
  XRInputSource = 18547,
  XRInputSourceArray = 18561,
  XRInputSourceEvent = 18580,
  XRInputSourcesChangeEvent = 18599,
  XRPose = 18625,
  XRReferenceSpace = 18632,
  XRReferenceSpaceEvent = 18649,
  XRRenderState = 18671,
  XRRigidTransform = 18685,
  XRSession = 18702,
  XRSessionEvent = 18712,
  XRSpace = 18727,
  XRSystem = 18735,
  XRView = 18744,
  XRViewerPose = 18751,
  XRViewport = 18764,
  XRWebGLLayer = 18775,
  XSLTProcessor = 18788,
  XULCommandEvent = 18802,
  XULElement = 18818,
  XULFrameElement = 18829,
  XULMenuElement = 18845,
  XULPopupElement = 18860,
  XULResizerElement = 18876,
  XULTextElement = 18894,
  XULTreeElement = 18909,
  console = 18924,
  webkitSpeechGrammar = 18932,
  webkitSpeechGrammarList = 18952,
  webkitSpeechRecognition = 18976,
  webkitURL = 19000,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
