#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSPageDescriptors" "\0"
  /*  1251 */ "CSSPageRule" "\0"
  /*  1263 */ "CSSPropertyRule" "\0"
  /*  1279 */ "CSSPseudoElement" "\0"
  /*  1296 */ "CSSRule" "\0"
  /*  1304 */ "CSSRuleList" "\0"
  /*  1316 */ "CSSScopeRule" "\0"
  /*  1329 */ "CSSStartingStyleRule" "\0"
  /*  1350 */ "CSSStyleDeclaration" "\0"
  /*  1370 */ "CSSStyleRule" "\0"
  /*  1383 */ "CSSStyleSheet" "\0"
  /*  1397 */ "CSSSupportsRule" "\0"
  /*  1413 */ "CSSTransition" "\0"
  /*  1427 */ "Cache" "\0"
  /*  1433 */ "CacheStorage" "\0"
  /*  1446 */ "CallbackDebuggerNotification" "\0"
  /*  1475 */ "CanonicalBrowsingContext" "\0"
  /*  1500 */ "CanvasCaptureMediaStream" "\0"
  /*  1525 */ "CanvasGradient" "\0"
  /*  1540 */ "CanvasPattern" "\0"
  /*  1554 */ "CanvasRenderingContext2D" "\0"
  /*  1579 */ "CaretPosition" "\0"
  /*  1593 */ "CaretStateChangedEvent" "\0"
  /*  1616 */ "ChannelMergerNode" "\0"
  /*  1634 */ "ChannelSplitterNode" "\0"
  /*  1654 */ "ChannelWrapper" "\0"
  /*  1669 */ "CharacterData" "\0"
  /*  1683 */ "CheckerboardReportService" "\0"
  /*  1709 */ "ChildProcessMessageManager" "\0"
  /*  1736 */ "ChildSHistory" "\0"
  /*  1750 */ "ChromeMessageBroadcaster" "\0"
  /*  1775 */ "ChromeMessageSender" "\0"
  /*  1795 */ "ChromeNodeList" "\0"
  /*  1810 */ "ChromeUtils" "\0"
  /*  1822 */ "ChromeWorker" "\0"
  /*  1835 */ "Client" "\0"
  /*  1842 */ "Clients" "\0"
  /*  1850 */ "Clipboard" "\0"
  /*  1860 */ "ClipboardEvent" "\0"
  /*  1875 */ "ClipboardItem" "\0"
  /*  1889 */ "ClonedErrorHolder" "\0"
  /*  1907 */ "CloseEvent" "\0"
  /*  1918 */ "CommandEvent" "\0"
  /*  1931 */ "Comment" "\0"
  /*  1939 */ "CompositionEvent" "\0"
  /*  1956 */ "CompressionStream" "\0"
  /*  1974 */ "ConsoleInstance" "\0"
  /*  1990 */ "ConstantSourceNode" "\0"
  /*  2009 */ "ContentFrameMessageManager" "\0"
  /*  2036 */ "ContentProcessMessageManager" "\0"
  /*  2065 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2103 */ "ConvolverNode" "\0"
  /*  2117 */ "CountQueuingStrategy" "\0"
  /*  2138 */ "CreateOfferRequest" "\0"
  /*  2157 */ "Credential" "\0"
  /*  2168 */ "CredentialsContainer" "\0"
  /*  2189 */ "Crypto" "\0"
  /*  2196 */ "CryptoKey" "\0"
  /*  2206 */ "CustomElementRegistry" "\0"
  /*  2228 */ "CustomEvent" "\0"
  /*  2240 */ "CustomStateSet" "\0"
  /*  2255 */ "DOMException" "\0"
  /*  2268 */ "DOMImplementation" "\0"
  /*  2286 */ "DOMLocalization" "\0"
  /*  2302 */ "DOMMatrix" "\0"
  /*  2312 */ "DOMMatrixReadOnly" "\0"
  /*  2330 */ "DOMParser" "\0"
  /*  2340 */ "DOMPoint" "\0"
  /*  2349 */ "DOMPointReadOnly" "\0"
  /*  2366 */ "DOMQuad" "\0"
  /*  2374 */ "DOMRect" "\0"
  /*  2382 */ "DOMRectList" "\0"
  /*  2394 */ "DOMRectReadOnly" "\0"
  /*  2410 */ "DOMStringList" "\0"
  /*  2424 */ "DOMStringMap" "\0"
  /*  2437 */ "DOMTokenList" "\0"
  /*  2450 */ "DataTransfer" "\0"
  /*  2463 */ "DataTransferItem" "\0"
  /*  2480 */ "DataTransferItemList" "\0"
  /*  2501 */ "DebuggerNotification" "\0"
  /*  2522 */ "DebuggerNotificationObserver" "\0"
  /*  2551 */ "DecompressionStream" "\0"
  /*  2571 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2598 */ "DelayNode" "\0"
  /*  2608 */ "DeprecationReportBody" "\0"
  /*  2630 */ "DeviceAcceleration" "\0"
  /*  2649 */ "DeviceLightEvent" "\0"
  /*  2666 */ "DeviceMotionEvent" "\0"
  /*  2684 */ "DeviceOrientationEvent" "\0"
  /*  2707 */ "DeviceRotationRate" "\0"
  /*  2726 */ "Directory" "\0"
  /*  2736 */ "Document" "\0"
  /*  2745 */ "DocumentFragment" "\0"
  /*  2762 */ "DocumentL10n" "\0"
  /*  2775 */ "DocumentTimeline" "\0"
  /*  2792 */ "DocumentType" "\0"
  /*  2805 */ "DominatorTree" "\0"
  /*  2819 */ "DragEvent" "\0"
  /*  2829 */ "DynamicsCompressorNode" "\0"
  /*  2852 */ "EXT_blend_minmax" "\0"
  /*  2869 */ "EXT_color_buffer_float" "\0"
  /*  2892 */ "EXT_color_buffer_half_float" "\0"
  /*  2920 */ "EXT_depth_clamp" "\0"
  /*  2936 */ "EXT_disjoint_timer_query" "\0"
  /*  2961 */ "EXT_float_blend" "\0"
  /*  2977 */ "EXT_frag_depth" "\0"
  /*  2992 */ "EXT_sRGB" "\0"
  /*  3001 */ "EXT_shader_texture_lod" "\0"
  /*  3024 */ "EXT_texture_compression_bptc" "\0"
  /*  3053 */ "EXT_texture_compression_rgtc" "\0"
  /*  3082 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3113 */ "EXT_texture_norm16" "\0"
  /*  3132 */ "Element" "\0"
  /*  3140 */ "ElementInternals" "\0"
  /*  3157 */ "EncodedAudioChunk" "\0"
  /*  3175 */ "EncodedVideoChunk" "\0"
  /*  3193 */ "ErrorEvent" "\0"
  /*  3204 */ "Event" "\0"
  /*  3210 */ "EventCallbackDebuggerNotification" "\0"
  /*  3244 */ "EventCounts" "\0"
  /*  3256 */ "EventSource" "\0"
  /*  3268 */ "EventTarget" "\0"
  /*  3280 */ "Exception" "\0"
  /*  3290 */ "ExtendableEvent" "\0"
  /*  3306 */ "ExtendableMessageEvent" "\0"
  /*  3329 */ "ExtensionAlarms" "\0"
  /*  3345 */ "ExtensionBrowser" "\0"
  /*  3362 */ "ExtensionBrowserSettings" "\0"
  /*  3387 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3427 */ "ExtensionDns" "\0"
  /*  3440 */ "ExtensionEventManager" "\0"
  /*  3462 */ "ExtensionMockAPI" "\0"
  /*  3479 */ "ExtensionPort" "\0"
  /*  3493 */ "ExtensionProxy" "\0"
  /*  3508 */ "ExtensionRuntime" "\0"
  /*  3525 */ "ExtensionScripting" "\0"
  /*  3544 */ "ExtensionSetting" "\0"
  /*  3561 */ "ExtensionTest" "\0"
  /*  3575 */ "External" "\0"
  /*  3584 */ "FeaturePolicy" "\0"
  /*  3598 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3631 */ "FetchEvent" "\0"
  /*  3642 */ "FetchObserver" "\0"
  /*  3656 */ "File" "\0"
  /*  3661 */ "FileList" "\0"
  /*  3670 */ "FileReader" "\0"
  /*  3681 */ "FileReaderSync" "\0"
  /*  3696 */ "FileSystem" "\0"
  /*  3707 */ "FileSystemDirectoryEntry" "\0"
  /*  3732 */ "FileSystemDirectoryHandle" "\0"
  /*  3758 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3798 */ "FileSystemDirectoryIterator" "\0"
  /*  3826 */ "FileSystemDirectoryReader" "\0"
  /*  3852 */ "FileSystemEntry" "\0"
  /*  3868 */ "FileSystemFileEntry" "\0"
  /*  3888 */ "FileSystemFileHandle" "\0"
  /*  3909 */ "FileSystemHandle" "\0"
  /*  3926 */ "FileSystemSyncAccessHandle" "\0"
  /*  3953 */ "FileSystemWritableFileStream" "\0"
  /*  3982 */ "Flex" "\0"
  /*  3987 */ "FlexItemValues" "\0"
  /*  4002 */ "FlexLineValues" "\0"
  /*  4017 */ "FluentBundle" "\0"
  /*  4030 */ "FluentBundleAsyncIterator" "\0"
  /*  4056 */ "FluentBundleIterator" "\0"
  /*  4077 */ "FluentPattern" "\0"
  /*  4091 */ "FluentResource" "\0"
  /*  4106 */ "FocusEvent" "\0"
  /*  4117 */ "FontFace" "\0"
  /*  4126 */ "FontFaceSet" "\0"
  /*  4138 */ "FontFaceSetIterator" "\0"
  /*  4158 */ "FontFaceSetLoadEvent" "\0"
  /*  4179 */ "FormData" "\0"
  /*  4188 */ "FormData Iterator" "\0"
  /*  4206 */ "FormDataEvent" "\0"
  /*  4220 */ "FragmentDirective" "\0"
  /*  4238 */ "FrameCrashedEvent" "\0"
  /*  4256 */ "FrameLoader" "\0"
  /*  4268 */ "GPU" "\0"
  /*  4272 */ "GPUAdapter" "\0"
  /*  4283 */ "GPUAdapterInfo" "\0"
  /*  4298 */ "GPUBindGroup" "\0"
  /*  4311 */ "GPUBindGroupLayout" "\0"
  /*  4330 */ "GPUBuffer" "\0"
  /*  4340 */ "GPUBufferUsage" "\0"
  /*  4355 */ "GPUCanvasContext" "\0"
  /*  4372 */ "GPUColorWrite" "\0"
  /*  4386 */ "GPUCommandBuffer" "\0"
  /*  4403 */ "GPUCommandEncoder" "\0"
  /*  4421 */ "GPUCompilationInfo" "\0"
  /*  4440 */ "GPUCompilationMessage" "\0"
  /*  4462 */ "GPUComputePassEncoder" "\0"
  /*  4484 */ "GPUComputePipeline" "\0"
  /*  4503 */ "GPUDevice" "\0"
  /*  4513 */ "GPUDeviceLostInfo" "\0"
  /*  4531 */ "GPUError" "\0"
  /*  4540 */ "GPUInternalError" "\0"
  /*  4557 */ "GPUMapMode" "\0"
  /*  4568 */ "GPUOutOfMemoryError" "\0"
  /*  4588 */ "GPUPipelineLayout" "\0"
  /*  4606 */ "GPUQuerySet" "\0"
  /*  4618 */ "GPUQueue" "\0"
  /*  4627 */ "GPURenderBundle" "\0"
  /*  4643 */ "GPURenderBundleEncoder" "\0"
  /*  4666 */ "GPURenderPassEncoder" "\0"
  /*  4687 */ "GPURenderPipeline" "\0"
  /*  4705 */ "GPUSampler" "\0"
  /*  4716 */ "GPUShaderModule" "\0"
  /*  4732 */ "GPUShaderStage" "\0"
  /*  4747 */ "GPUSupportedFeatures" "\0"
  /*  4768 */ "GPUSupportedLimits" "\0"
  /*  4787 */ "GPUTexture" "\0"
  /*  4798 */ "GPUTextureUsage" "\0"
  /*  4814 */ "GPUTextureView" "\0"
  /*  4829 */ "GPUUncapturedErrorEvent" "\0"
  /*  4853 */ "GPUValidationError" "\0"
  /*  4872 */ "GainNode" "\0"
  /*  4881 */ "Gamepad" "\0"
  /*  4889 */ "GamepadAxisMoveEvent" "\0"
  /*  4910 */ "GamepadButton" "\0"
  /*  4924 */ "GamepadButtonEvent" "\0"
  /*  4943 */ "GamepadEvent" "\0"
  /*  4956 */ "GamepadHapticActuator" "\0"
  /*  4978 */ "GamepadLightIndicator" "\0"
  /*  5000 */ "GamepadPose" "\0"
  /*  5012 */ "GamepadServiceTest" "\0"
  /*  5031 */ "GamepadTouch" "\0"
  /*  5044 */ "Geolocation" "\0"
  /*  5056 */ "GeolocationCoordinates" "\0"
  /*  5079 */ "GeolocationPosition" "\0"
  /*  5099 */ "GeolocationPositionError" "\0"
  /*  5124 */ "GetUserMediaRequest" "\0"
  /*  5144 */ "GleanBoolean" "\0"
  /*  5157 */ "GleanCategory" "\0"
  /*  5171 */ "GleanCounter" "\0"
  /*  5184 */ "GleanCustomDistribution" "\0"
  /*  5208 */ "GleanDatetime" "\0"
  /*  5222 */ "GleanDenominator" "\0"
  /*  5239 */ "GleanEvent" "\0"
  /*  5250 */ "GleanImpl" "\0"
  /*  5260 */ "GleanLabeled" "\0"
  /*  5273 */ "GleanMemoryDistribution" "\0"
  /*  5297 */ "GleanMetric" "\0"
  /*  5309 */ "GleanNumerator" "\0"
  /*  5324 */ "GleanObject" "\0"
  /*  5336 */ "GleanPingsImpl" "\0"
  /*  5351 */ "GleanQuantity" "\0"
  /*  5365 */ "GleanRate" "\0"
  /*  5375 */ "GleanString" "\0"
  /*  5387 */ "GleanStringList" "\0"
  /*  5403 */ "GleanText" "\0"
  /*  5413 */ "GleanTimespan" "\0"
  /*  5427 */ "GleanTimingDistribution" "\0"
  /*  5451 */ "GleanUrl" "\0"
  /*  5460 */ "GleanUuid" "\0"
  /*  5470 */ "Grid" "\0"
  /*  5475 */ "GridArea" "\0"
  /*  5484 */ "GridDimension" "\0"
  /*  5498 */ "GridLine" "\0"
  /*  5507 */ "GridLines" "\0"
  /*  5517 */ "GridTrack" "\0"
  /*  5527 */ "GridTracks" "\0"
  /*  5538 */ "HTMLAllCollection" "\0"
  /*  5556 */ "HTMLAnchorElement" "\0"
  /*  5574 */ "HTMLAreaElement" "\0"
  /*  5590 */ "HTMLAudioElement" "\0"
  /*  5607 */ "HTMLBRElement" "\0"
  /*  5621 */ "HTMLBaseElement" "\0"
  /*  5637 */ "HTMLBodyElement" "\0"
  /*  5653 */ "HTMLButtonElement" "\0"
  /*  5671 */ "HTMLCanvasElement" "\0"
  /*  5689 */ "HTMLCollection" "\0"
  /*  5704 */ "HTMLDListElement" "\0"
  /*  5721 */ "HTMLDataElement" "\0"
  /*  5737 */ "HTMLDataListElement" "\0"
  /*  5757 */ "HTMLDetailsElement" "\0"
  /*  5776 */ "HTMLDialogElement" "\0"
  /*  5794 */ "HTMLDirectoryElement" "\0"
  /*  5815 */ "HTMLDivElement" "\0"
  /*  5830 */ "HTMLDocument" "\0"
  /*  5843 */ "HTMLElement" "\0"
  /*  5855 */ "HTMLEmbedElement" "\0"
  /*  5872 */ "HTMLFieldSetElement" "\0"
  /*  5892 */ "HTMLFontElement" "\0"
  /*  5908 */ "HTMLFormControlsCollection" "\0"
  /*  5935 */ "HTMLFormElement" "\0"
  /*  5951 */ "HTMLFrameElement" "\0"
  /*  5968 */ "HTMLFrameSetElement" "\0"
  /*  5988 */ "HTMLHRElement" "\0"
  /*  6002 */ "HTMLHeadElement" "\0"
  /*  6018 */ "HTMLHeadingElement" "\0"
  /*  6037 */ "HTMLHtmlElement" "\0"
  /*  6053 */ "HTMLIFrameElement" "\0"
  /*  6071 */ "HTMLImageElement" "\0"
  /*  6088 */ "HTMLInputElement" "\0"
  /*  6105 */ "HTMLLIElement" "\0"
  /*  6119 */ "HTMLLabelElement" "\0"
  /*  6136 */ "HTMLLegendElement" "\0"
  /*  6154 */ "HTMLLinkElement" "\0"
  /*  6170 */ "HTMLMapElement" "\0"
  /*  6185 */ "HTMLMarqueeElement" "\0"
  /*  6204 */ "HTMLMediaElement" "\0"
  /*  6221 */ "HTMLMenuElement" "\0"
  /*  6237 */ "HTMLMetaElement" "\0"
  /*  6253 */ "HTMLMeterElement" "\0"
  /*  6270 */ "HTMLModElement" "\0"
  /*  6285 */ "HTMLOListElement" "\0"
  /*  6302 */ "HTMLObjectElement" "\0"
  /*  6320 */ "HTMLOptGroupElement" "\0"
  /*  6340 */ "HTMLOptionElement" "\0"
  /*  6358 */ "HTMLOptionsCollection" "\0"
  /*  6380 */ "HTMLOutputElement" "\0"
  /*  6398 */ "HTMLParagraphElement" "\0"
  /*  6419 */ "HTMLParamElement" "\0"
  /*  6436 */ "HTMLPictureElement" "\0"
  /*  6455 */ "HTMLPreElement" "\0"
  /*  6470 */ "HTMLProgressElement" "\0"
  /*  6490 */ "HTMLQuoteElement" "\0"
  /*  6507 */ "HTMLScriptElement" "\0"
  /*  6525 */ "HTMLSelectElement" "\0"
  /*  6543 */ "HTMLSlotElement" "\0"
  /*  6559 */ "HTMLSourceElement" "\0"
  /*  6577 */ "HTMLSpanElement" "\0"
  /*  6593 */ "HTMLStyleElement" "\0"
  /*  6610 */ "HTMLTableCaptionElement" "\0"
  /*  6634 */ "HTMLTableCellElement" "\0"
  /*  6655 */ "HTMLTableColElement" "\0"
  /*  6675 */ "HTMLTableElement" "\0"
  /*  6692 */ "HTMLTableRowElement" "\0"
  /*  6712 */ "HTMLTableSectionElement" "\0"
  /*  6736 */ "HTMLTemplateElement" "\0"
  /*  6756 */ "HTMLTextAreaElement" "\0"
  /*  6776 */ "HTMLTimeElement" "\0"
  /*  6792 */ "HTMLTitleElement" "\0"
  /*  6809 */ "HTMLTrackElement" "\0"
  /*  6826 */ "HTMLUListElement" "\0"
  /*  6843 */ "HTMLUnknownElement" "\0"
  /*  6862 */ "HTMLVideoElement" "\0"
  /*  6879 */ "HashChangeEvent" "\0"
  /*  6895 */ "Headers" "\0"
  /*  6903 */ "Headers Iterator" "\0"
  /*  6920 */ "HeapSnapshot" "\0"
  /*  6933 */ "Highlight" "\0"
  /*  6943 */ "HighlightRegistry" "\0"
  /*  6961 */ "History" "\0"
  /*  6969 */ "IDBCursor" "\0"
  /*  6979 */ "IDBCursorWithValue" "\0"
  /*  6998 */ "IDBDatabase" "\0"
  /*  7010 */ "IDBFactory" "\0"
  /*  7021 */ "IDBIndex" "\0"
  /*  7030 */ "IDBKeyRange" "\0"
  /*  7042 */ "IDBObjectStore" "\0"
  /*  7057 */ "IDBOpenDBRequest" "\0"
  /*  7074 */ "IDBRequest" "\0"
  /*  7085 */ "IDBTransaction" "\0"
  /*  7100 */ "IDBVersionChangeEvent" "\0"
  /*  7122 */ "IIRFilterNode" "\0"
  /*  7136 */ "IOUtils" "\0"
  /*  7144 */ "IdentityCredential" "\0"
  /*  7163 */ "IdleDeadline" "\0"
  /*  7176 */ "Image" "\0"
  /*  7182 */ "ImageBitmap" "\0"
  /*  7194 */ "ImageBitmapRenderingContext" "\0"
  /*  7222 */ "ImageCapture" "\0"
  /*  7235 */ "ImageCaptureError" "\0"
  /*  7253 */ "ImageCaptureErrorEvent" "\0"
  /*  7276 */ "ImageData" "\0"
  /*  7286 */ "ImageDecoder" "\0"
  /*  7299 */ "ImageDocument" "\0"
  /*  7313 */ "ImageTrack" "\0"
  /*  7324 */ "ImageTrackList" "\0"
  /*  7339 */ "InputEvent" "\0"
  /*  7350 */ "InspectorCSSParser" "\0"
  /*  7369 */ "InspectorFontFace" "\0"
  /*  7387 */ "InspectorUtils" "\0"
  /*  7402 */ "InstallTriggerImpl" "\0"
  /*  7421 */ "IntersectionObserver" "\0"
  /*  7442 */ "IntersectionObserverEntry" "\0"
  /*  7468 */ "IntlUtils" "\0"
  /*  7478 */ "InvokeEvent" "\0"
  /*  7490 */ "JSProcessActorChild" "\0"
  /*  7510 */ "JSProcessActorParent" "\0"
  /*  7531 */ "JSWindowActorChild" "\0"
  /*  7550 */ "JSWindowActorParent" "\0"
  /*  7570 */ "KeyEvent" "\0"
  /*  7579 */ "KeyboardEvent" "\0"
  /*  7593 */ "KeyframeEffect" "\0"
  /*  7608 */ "L10nFileSource" "\0"
  /*  7623 */ "L10nOverlays" "\0"
  /*  7636 */ "L10nRegistry" "\0"
  /*  7649 */ "LargestContentfulPaint" "\0"
  /*  7672 */ "LegacyMozTCPSocket" "\0"
  /*  7691 */ "Localization" "\0"
  /*  7704 */ "Location" "\0"
  /*  7713 */ "Lock" "\0"
  /*  7718 */ "LockManager" "\0"
  /*  7730 */ "MIDIAccess" "\0"
  /*  7741 */ "MIDIConnectionEvent" "\0"
  /*  7761 */ "MIDIInput" "\0"
  /*  7771 */ "MIDIInputMap" "\0"
  /*  7784 */ "MIDIMessageEvent" "\0"
  /*  7801 */ "MIDIOutput" "\0"
  /*  7812 */ "MIDIOutputMap" "\0"
  /*  7826 */ "MIDIPort" "\0"
  /*  7835 */ "MOZ_debug" "\0"
  /*  7845 */ "MatchGlob" "\0"
  /*  7855 */ "MatchPattern" "\0"
  /*  7868 */ "MatchPatternSet" "\0"
  /*  7884 */ "MathMLElement" "\0"
  /*  7898 */ "MediaCapabilities" "\0"
  /*  7916 */ "MediaControlService" "\0"
  /*  7936 */ "MediaController" "\0"
  /*  7952 */ "MediaDeviceInfo" "\0"
  /*  7968 */ "MediaDevices" "\0"
  /*  7981 */ "MediaElementAudioSourceNode" "\0"
  /*  8009 */ "MediaEncryptedEvent" "\0"
  /*  8029 */ "MediaError" "\0"
  /*  8040 */ "MediaKeyError" "\0"
  /*  8054 */ "MediaKeyMessageEvent" "\0"
  /*  8075 */ "MediaKeySession" "\0"
  /*  8091 */ "MediaKeyStatusMap" "\0"
  /*  8109 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8136 */ "MediaKeySystemAccess" "\0"
  /*  8157 */ "MediaKeys" "\0"
  /*  8167 */ "MediaList" "\0"
  /*  8177 */ "MediaMetadata" "\0"
  /*  8191 */ "MediaQueryList" "\0"
  /*  8206 */ "MediaQueryListEvent" "\0"
  /*  8226 */ "MediaRecorder" "\0"
  /*  8240 */ "MediaRecorderErrorEvent" "\0"
  /*  8264 */ "MediaSession" "\0"
  /*  8277 */ "MediaSource" "\0"
  /*  8289 */ "MediaStream" "\0"
  /*  8301 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8333 */ "MediaStreamAudioSourceNode" "\0"
  /*  8360 */ "MediaStreamError" "\0"
  /*  8377 */ "MediaStreamEvent" "\0"
  /*  8394 */ "MediaStreamTrack" "\0"
  /*  8411 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8443 */ "MediaStreamTrackEvent" "\0"
  /*  8465 */ "MerchantValidationEvent" "\0"
  /*  8489 */ "MessageBroadcaster" "\0"
  /*  8508 */ "MessageChannel" "\0"
  /*  8523 */ "MessageEvent" "\0"
  /*  8536 */ "MessageListenerManager" "\0"
  /*  8559 */ "MessagePort" "\0"
  /*  8571 */ "MessageSender" "\0"
  /*  8585 */ "MimeType" "\0"
  /*  8594 */ "MimeTypeArray" "\0"
  /*  8608 */ "MouseEvent" "\0"
  /*  8619 */ "MouseScrollEvent" "\0"
  /*  8636 */ "MozCanvasPrintState" "\0"
  /*  8656 */ "MozDocumentMatcher" "\0"
  /*  8675 */ "MozDocumentObserver" "\0"
  /*  8695 */ "MozQueryInterface" "\0"
  /*  8713 */ "MozSharedMap" "\0"
  /*  8726 */ "MozSharedMap Iterator" "\0"
  /*  8748 */ "MozSharedMapChangeEvent" "\0"
  /*  8772 */ "MozStorageAsyncStatementParams" "\0"
  /*  8803 */ "MozStorageStatementParams" "\0"
  /*  8829 */ "MozStorageStatementRow" "\0"
  /*  8852 */ "MozWritableSharedMap" "\0"
  /*  8873 */ "MutationEvent" "\0"
  /*  8887 */ "MutationObserver" "\0"
  /*  8904 */ "MutationRecord" "\0"
  /*  8919 */ "NamedNodeMap" "\0"
  /*  8932 */ "NavigateEvent" "\0"
  /*  8946 */ "Navigation" "\0"
  /*  8957 */ "NavigationActivation" "\0"
  /*  8978 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9012 */ "NavigationDestination" "\0"
  /*  9034 */ "NavigationHistoryEntry" "\0"
  /*  9057 */ "NavigationPreloadManager" "\0"
  /*  9082 */ "NavigationTransition" "\0"
  /*  9103 */ "Navigator" "\0"
  /*  9113 */ "NetworkInformation" "\0"
  /*  9132 */ "Node" "\0"
  /*  9137 */ "NodeFilter" "\0"
  /*  9148 */ "NodeIterator" "\0"
  /*  9161 */ "NodeList" "\0"
  /*  9170 */ "Notification" "\0"
  /*  9183 */ "NotificationEvent" "\0"
  /*  9201 */ "NotifyPaintEvent" "\0"
  /*  9218 */ "OES_draw_buffers_indexed" "\0"
  /*  9243 */ "OES_element_index_uint" "\0"
  /*  9266 */ "OES_fbo_render_mipmap" "\0"
  /*  9288 */ "OES_standard_derivatives" "\0"
  /*  9313 */ "OES_texture_float" "\0"
  /*  9331 */ "OES_texture_float_linear" "\0"
  /*  9356 */ "OES_texture_half_float" "\0"
  /*  9379 */ "OES_texture_half_float_linear" "\0"
  /*  9409 */ "OES_vertex_array_object" "\0"
  /*  9433 */ "OVR_multiview2" "\0"
  /*  9448 */ "OfflineAudioCompletionEvent" "\0"
  /*  9476 */ "OfflineAudioContext" "\0"
  /*  9496 */ "OffscreenCanvas" "\0"
  /*  9512 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9546 */ "OnlyForUseInConstructor" "\0"
  /*  9570 */ "Option" "\0"
  /*  9577 */ "OscillatorNode" "\0"
  /*  9592 */ "PageTransitionEvent" "\0"
  /*  9612 */ "PaintRequest" "\0"
  /*  9625 */ "PaintRequestList" "\0"
  /*  9642 */ "PaintWorkletGlobalScope" "\0"
  /*  9666 */ "PannerNode" "\0"
  /*  9677 */ "ParentProcessMessageManager" "\0"
  /*  9705 */ "Path2D" "\0"
  /*  9712 */ "PathUtils" "\0"
  /*  9722 */ "PaymentAddress" "\0"
  /*  9737 */ "PaymentMethodChangeEvent" "\0"
  /*  9762 */ "PaymentRequest" "\0"
  /*  9777 */ "PaymentRequestUpdateEvent" "\0"
  /*  9803 */ "PaymentResponse" "\0"
  /*  9819 */ "PeerConnectionImpl" "\0"
  /*  9838 */ "PeerConnectionObserver" "\0"
  /*  9861 */ "Performance" "\0"
  /*  9873 */ "PerformanceEntry" "\0"
  /*  9890 */ "PerformanceEntryEvent" "\0"
  /*  9912 */ "PerformanceEventTiming" "\0"
  /*  9935 */ "PerformanceMark" "\0"
  /*  9951 */ "PerformanceMeasure" "\0"
  /*  9970 */ "PerformanceNavigation" "\0"
  /*  9992 */ "PerformanceNavigationTiming" "\0"
  /* 10020 */ "PerformanceObserver" "\0"
  /* 10040 */ "PerformanceObserverEntryList" "\0"
  /* 10069 */ "PerformancePaintTiming" "\0"
  /* 10092 */ "PerformanceResourceTiming" "\0"
  /* 10118 */ "PerformanceServerTiming" "\0"
  /* 10142 */ "PerformanceTiming" "\0"
  /* 10160 */ "PeriodicWave" "\0"
  /* 10173 */ "PermissionStatus" "\0"
  /* 10190 */ "Permissions" "\0"
  /* 10202 */ "PlacesBookmark" "\0"
  /* 10217 */ "PlacesBookmarkAddition" "\0"
  /* 10240 */ "PlacesBookmarkChanged" "\0"
  /* 10262 */ "PlacesBookmarkGuid" "\0"
  /* 10281 */ "PlacesBookmarkKeyword" "\0"
  /* 10303 */ "PlacesBookmarkMoved" "\0"
  /* 10323 */ "PlacesBookmarkRemoved" "\0"
  /* 10345 */ "PlacesBookmarkTags" "\0"
  /* 10364 */ "PlacesBookmarkTime" "\0"
  /* 10383 */ "PlacesBookmarkTitle" "\0"
  /* 10403 */ "PlacesBookmarkUrl" "\0"
  /* 10421 */ "PlacesEvent" "\0"
  /* 10433 */ "PlacesEventCounts" "\0"
  /* 10451 */ "PlacesFavicon" "\0"
  /* 10465 */ "PlacesHistoryCleared" "\0"
  /* 10486 */ "PlacesObservers" "\0"
  /* 10502 */ "PlacesPurgeCaches" "\0"
  /* 10520 */ "PlacesRanking" "\0"
  /* 10534 */ "PlacesVisit" "\0"
  /* 10546 */ "PlacesVisitRemoved" "\0"
  /* 10565 */ "PlacesVisitTitle" "\0"
  /* 10582 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10608 */ "Plugin" "\0"
  /* 10615 */ "PluginArray" "\0"
  /* 10627 */ "PluginCrashedEvent" "\0"
  /* 10646 */ "PointerEvent" "\0"
  /* 10659 */ "PopStateEvent" "\0"
  /* 10673 */ "PopupBlockedEvent" "\0"
  /* 10691 */ "PopupPositionedEvent" "\0"
  /* 10712 */ "PositionStateEvent" "\0"
  /* 10731 */ "PrecompiledScript" "\0"
  /* 10749 */ "PrivateAttribution" "\0"
  /* 10768 */ "ProcessMessageManager" "\0"
  /* 10790 */ "ProcessingInstruction" "\0"
  /* 10812 */ "ProgressEvent" "\0"
  /* 10826 */ "PromiseDebugging" "\0"
  /* 10843 */ "PromiseNativeHandler" "\0"
  /* 10864 */ "PromiseRejectionEvent" "\0"
  /* 10886 */ "PublicKeyCredential" "\0"
  /* 10906 */ "PushEvent" "\0"
  /* 10916 */ "PushManager" "\0"
  /* 10928 */ "PushManagerImpl" "\0"
  /* 10944 */ "PushMessageData" "\0"
  /* 10960 */ "PushSubscription" "\0"
  /* 10977 */ "PushSubscriptionOptions" "\0"
  /* 11001 */ "RTCCertificate" "\0"
  /* 11016 */ "RTCDTMFSender" "\0"
  /* 11030 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11053 */ "RTCDataChannel" "\0"
  /* 11068 */ "RTCDataChannelEvent" "\0"
  /* 11088 */ "RTCDtlsTransport" "\0"
  /* 11105 */ "RTCEncodedAudioFrame" "\0"
  /* 11126 */ "RTCEncodedVideoFrame" "\0"
  /* 11147 */ "RTCIceCandidate" "\0"
  /* 11163 */ "RTCIceTransport" "\0"
  /* 11179 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11208 */ "RTCPeerConnection" "\0"
  /* 11226 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11252 */ "RTCPeerConnectionStatic" "\0"
  /* 11276 */ "RTCRtpReceiver" "\0"
  /* 11291 */ "RTCRtpScriptTransform" "\0"
  /* 11313 */ "RTCRtpScriptTransformer" "\0"
  /* 11337 */ "RTCRtpSender" "\0"
  /* 11350 */ "RTCRtpTransceiver" "\0"
  /* 11368 */ "RTCSctpTransport" "\0"
  /* 11385 */ "RTCSessionDescription" "\0"
  /* 11407 */ "RTCStatsReport" "\0"
  /* 11422 */ "RTCTrackEvent" "\0"
  /* 11436 */ "RTCTransformEvent" "\0"
  /* 11454 */ "RadioNodeList" "\0"
  /* 11468 */ "Range" "\0"
  /* 11474 */ "ReadableByteStreamController" "\0"
  /* 11503 */ "ReadableStream" "\0"
  /* 11518 */ "ReadableStream AsyncIterator" "\0"
  /* 11547 */ "ReadableStreamBYOBReader" "\0"
  /* 11572 */ "ReadableStreamBYOBRequest" "\0"
  /* 11598 */ "ReadableStreamDefaultController" "\0"
  /* 11630 */ "ReadableStreamDefaultReader" "\0"
  /* 11658 */ "Report" "\0"
  /* 11665 */ "ReportBody" "\0"
  /* 11676 */ "ReportingObserver" "\0"
  /* 11694 */ "Request" "\0"
  /* 11702 */ "ResizeObserver" "\0"
  /* 11717 */ "ResizeObserverEntry" "\0"
  /* 11737 */ "ResizeObserverSize" "\0"
  /* 11756 */ "Response" "\0"
  /* 11765 */ "SVGAElement" "\0"
  /* 11777 */ "SVGAngle" "\0"
  /* 11786 */ "SVGAnimateElement" "\0"
  /* 11804 */ "SVGAnimateMotionElement" "\0"
  /* 11828 */ "SVGAnimateTransformElement" "\0"
  /* 11855 */ "SVGAnimatedAngle" "\0"
  /* 11872 */ "SVGAnimatedBoolean" "\0"
  /* 11891 */ "SVGAnimatedEnumeration" "\0"
  /* 11914 */ "SVGAnimatedInteger" "\0"
  /* 11933 */ "SVGAnimatedLength" "\0"
  /* 11951 */ "SVGAnimatedLengthList" "\0"
  /* 11973 */ "SVGAnimatedNumber" "\0"
  /* 11991 */ "SVGAnimatedNumberList" "\0"
  /* 12013 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12044 */ "SVGAnimatedRect" "\0"
  /* 12060 */ "SVGAnimatedString" "\0"
  /* 12078 */ "SVGAnimatedTransformList" "\0"
  /* 12103 */ "SVGAnimationElement" "\0"
  /* 12123 */ "SVGCircleElement" "\0"
  /* 12140 */ "SVGClipPathElement" "\0"
  /* 12159 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12195 */ "SVGDefsElement" "\0"
  /* 12210 */ "SVGDescElement" "\0"
  /* 12225 */ "SVGElement" "\0"
  /* 12236 */ "SVGEllipseElement" "\0"
  /* 12254 */ "SVGFEBlendElement" "\0"
  /* 12272 */ "SVGFEColorMatrixElement" "\0"
  /* 12296 */ "SVGFEComponentTransferElement" "\0"
  /* 12326 */ "SVGFECompositeElement" "\0"
  /* 12348 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12375 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12403 */ "SVGFEDisplacementMapElement" "\0"
  /* 12431 */ "SVGFEDistantLightElement" "\0"
  /* 12456 */ "SVGFEDropShadowElement" "\0"
  /* 12479 */ "SVGFEFloodElement" "\0"
  /* 12497 */ "SVGFEFuncAElement" "\0"
  /* 12515 */ "SVGFEFuncBElement" "\0"
  /* 12533 */ "SVGFEFuncGElement" "\0"
  /* 12551 */ "SVGFEFuncRElement" "\0"
  /* 12569 */ "SVGFEGaussianBlurElement" "\0"
  /* 12594 */ "SVGFEImageElement" "\0"
  /* 12612 */ "SVGFEMergeElement" "\0"
  /* 12630 */ "SVGFEMergeNodeElement" "\0"
  /* 12652 */ "SVGFEMorphologyElement" "\0"
  /* 12675 */ "SVGFEOffsetElement" "\0"
  /* 12694 */ "SVGFEPointLightElement" "\0"
  /* 12717 */ "SVGFESpecularLightingElement" "\0"
  /* 12746 */ "SVGFESpotLightElement" "\0"
  /* 12768 */ "SVGFETileElement" "\0"
  /* 12785 */ "SVGFETurbulenceElement" "\0"
  /* 12808 */ "SVGFilterElement" "\0"
  /* 12825 */ "SVGForeignObjectElement" "\0"
  /* 12849 */ "SVGGElement" "\0"
  /* 12861 */ "SVGGeometryElement" "\0"
  /* 12880 */ "SVGGradientElement" "\0"
  /* 12899 */ "SVGGraphicsElement" "\0"
  /* 12918 */ "SVGImageElement" "\0"
  /* 12934 */ "SVGLength" "\0"
  /* 12944 */ "SVGLengthList" "\0"
  /* 12958 */ "SVGLineElement" "\0"
  /* 12973 */ "SVGLinearGradientElement" "\0"
  /* 12998 */ "SVGMPathElement" "\0"
  /* 13014 */ "SVGMarkerElement" "\0"
  /* 13031 */ "SVGMaskElement" "\0"
  /* 13046 */ "SVGMatrix" "\0"
  /* 13056 */ "SVGMetadataElement" "\0"
  /* 13075 */ "SVGNumber" "\0"
  /* 13085 */ "SVGNumberList" "\0"
  /* 13099 */ "SVGPathElement" "\0"
  /* 13114 */ "SVGPatternElement" "\0"
  /* 13132 */ "SVGPoint" "\0"
  /* 13141 */ "SVGPointList" "\0"
  /* 13154 */ "SVGPolygonElement" "\0"
  /* 13172 */ "SVGPolylineElement" "\0"
  /* 13191 */ "SVGPreserveAspectRatio" "\0"
  /* 13214 */ "SVGRadialGradientElement" "\0"
  /* 13239 */ "SVGRect" "\0"
  /* 13247 */ "SVGRectElement" "\0"
  /* 13262 */ "SVGSVGElement" "\0"
  /* 13276 */ "SVGScriptElement" "\0"
  /* 13293 */ "SVGSetElement" "\0"
  /* 13307 */ "SVGStopElement" "\0"
  /* 13322 */ "SVGStringList" "\0"
  /* 13336 */ "SVGStyleElement" "\0"
  /* 13352 */ "SVGSwitchElement" "\0"
  /* 13369 */ "SVGSymbolElement" "\0"
  /* 13386 */ "SVGTSpanElement" "\0"
  /* 13402 */ "SVGTextContentElement" "\0"
  /* 13424 */ "SVGTextElement" "\0"
  /* 13439 */ "SVGTextPathElement" "\0"
  /* 13458 */ "SVGTextPositioningElement" "\0"
  /* 13484 */ "SVGTitleElement" "\0"
  /* 13500 */ "SVGTransform" "\0"
  /* 13513 */ "SVGTransformList" "\0"
  /* 13530 */ "SVGUnitTypes" "\0"
  /* 13543 */ "SVGUseElement" "\0"
  /* 13557 */ "SVGViewElement" "\0"
  /* 13572 */ "Sanitizer" "\0"
  /* 13582 */ "Scheduler" "\0"
  /* 13592 */ "Screen" "\0"
  /* 13599 */ "ScreenLuminance" "\0"
  /* 13615 */ "ScreenOrientation" "\0"
  /* 13633 */ "ScriptProcessorNode" "\0"
  /* 13653 */ "ScrollAreaEvent" "\0"
  /* 13669 */ "ScrollViewChangeEvent" "\0"
  /* 13691 */ "SecurityPolicyViolationEvent" "\0"
  /* 13720 */ "Selection" "\0"
  /* 13730 */ "ServiceWorker" "\0"
  /* 13744 */ "ServiceWorkerContainer" "\0"
  /* 13767 */ "ServiceWorkerGlobalScope" "\0"
  /* 13792 */ "ServiceWorkerRegistration" "\0"
  /* 13818 */ "SessionStoreFormData" "\0"
  /* 13839 */ "SessionStoreScrollData" "\0"
  /* 13862 */ "SessionStoreUtils" "\0"
  /* 13880 */ "ShadowRealmGlobalScope" "\0"
  /* 13903 */ "ShadowRoot" "\0"
  /* 13914 */ "SharedWorker" "\0"
  /* 13927 */ "SharedWorkerGlobalScope" "\0"
  /* 13951 */ "SimpleGestureEvent" "\0"
  /* 13970 */ "SourceBuffer" "\0"
  /* 13983 */ "SourceBufferList" "\0"
  /* 14000 */ "SpeechGrammar" "\0"
  /* 14014 */ "SpeechGrammarList" "\0"
  /* 14032 */ "SpeechRecognition" "\0"
  /* 14050 */ "SpeechRecognitionAlternative" "\0"
  /* 14079 */ "SpeechRecognitionError" "\0"
  /* 14102 */ "SpeechRecognitionEvent" "\0"
  /* 14125 */ "SpeechRecognitionResult" "\0"
  /* 14149 */ "SpeechRecognitionResultList" "\0"
  /* 14177 */ "SpeechSynthesis" "\0"
  /* 14193 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14219 */ "SpeechSynthesisEvent" "\0"
  /* 14240 */ "SpeechSynthesisUtterance" "\0"
  /* 14265 */ "SpeechSynthesisVoice" "\0"
  /* 14286 */ "StaticRange" "\0"
  /* 14298 */ "StereoPannerNode" "\0"
  /* 14315 */ "Storage" "\0"
  /* 14323 */ "StorageEvent" "\0"
  /* 14336 */ "StorageManager" "\0"
  /* 14351 */ "StreamFilter" "\0"
  /* 14364 */ "StreamFilterDataEvent" "\0"
  /* 14386 */ "StructuredCloneHolder" "\0"
  /* 14408 */ "StructuredCloneTester" "\0"
  /* 14430 */ "StyleSheet" "\0"
  /* 14441 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14478 */ "StyleSheetList" "\0"
  /* 14493 */ "StyleSheetRemovedEvent" "\0"
  /* 14516 */ "SubmitEvent" "\0"
  /* 14528 */ "SubtleCrypto" "\0"
  /* 14541 */ "SyncMessageSender" "\0"
  /* 14559 */ "SyncReadFile" "\0"
  /* 14572 */ "TCPServerSocket" "\0"
  /* 14588 */ "TCPServerSocketEvent" "\0"
  /* 14609 */ "TCPSocket" "\0"
  /* 14619 */ "TCPSocketErrorEvent" "\0"
  /* 14639 */ "TCPSocketEvent" "\0"
  /* 14654 */ "TaskController" "\0"
  /* 14669 */ "TaskPriorityChangeEvent" "\0"
  /* 14693 */ "TaskSignal" "\0"
  /* 14704 */ "TelemetryStopwatch" "\0"
  /* 14723 */ "TestAttributesOnTypes" "\0"
  /* 14745 */ "TestCEReactionsInterface" "\0"
  /* 14770 */ "TestCImplementedInterface" "\0"
  /* 14796 */ "TestCImplementedInterface2" "\0"
  /* 14823 */ "TestCallbackDictUnionOverload" "\0"
  /* 14853 */ "TestChildInterface" "\0"
  /* 14872 */ "TestConstructorForFuncInterface" "\0"
  /* 14904 */ "TestConstructorForPrefInterface" "\0"
  /* 14936 */ "TestConstructorForSCInterface" "\0"
  /* 14966 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15002 */ "TestDeprecatedInterface" "\0"
  /* 15026 */ "TestExampleInterface" "\0"
  /* 15047 */ "TestExampleProxyInterface" "\0"
  /* 15073 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15113 */ "TestExampleWorkerInterface" "\0"
  /* 15140 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15185 */ "TestFuncConstructorForInterface" "\0"
  /* 15217 */ "TestHTMLConstructorInterface" "\0"
  /* 15246 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15290 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15325 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15360 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15410 */ "TestIndexedGetterInterface" "\0"
  /* 15437 */ "TestIndexedSetterInterface" "\0"
  /* 15464 */ "TestInterface" "\0"
  /* 15478 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15517 */ "TestJSImplInterface" "\0"
  /* 15537 */ "TestJSImplInterface2" "\0"
  /* 15558 */ "TestJSImplInterface3" "\0"
  /* 15579 */ "TestJSImplInterface4" "\0"
  /* 15600 */ "TestJSImplInterface5" "\0"
  /* 15621 */ "TestJSImplInterface6" "\0"
  /* 15642 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15670 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15705 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15741 */ "TestNamedDeleterInterface" "\0"
  /* 15767 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15803 */ "TestNamedGetterInterface" "\0"
  /* 15828 */ "TestNamedSetterInterface" "\0"
  /* 15853 */ "TestNamespace" "\0"
  /* 15867 */ "TestNonWrapperCacheInterface" "\0"
  /* 15896 */ "TestParentInterface" "\0"
  /* 15916 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15964 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16009 */ "TestPrefConstructorForInterface" "\0"
  /* 16041 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16072 */ "TestRenamedInterface" "\0"
  /* 16093 */ "TestRenamedNamespace" "\0"
  /* 16114 */ "TestSCConstructorForInterface" "\0"
  /* 16144 */ "TestSecureContextInterface" "\0"
  /* 16171 */ "TestThrowingConstructorInterface" "\0"
  /* 16204 */ "TestUtils" "\0"
  /* 16214 */ "TestWorkerExposedInterface" "\0"
  /* 16241 */ "TestingDeprecatedInterface" "\0"
  /* 16268 */ "Text" "\0"
  /* 16273 */ "TextClause" "\0"
  /* 16284 */ "TextDecoder" "\0"
  /* 16296 */ "TextDecoderStream" "\0"
  /* 16314 */ "TextEncoder" "\0"
  /* 16326 */ "TextEncoderStream" "\0"
  /* 16344 */ "TextEvent" "\0"
  /* 16354 */ "TextMetrics" "\0"
  /* 16366 */ "TextTrack" "\0"
  /* 16376 */ "TextTrackCue" "\0"
  /* 16389 */ "TextTrackCueList" "\0"
  /* 16406 */ "TextTrackList" "\0"
  /* 16420 */ "TimeEvent" "\0"
  /* 16430 */ "TimeRanges" "\0"
  /* 16441 */ "ToggleEvent" "\0"
  /* 16453 */ "Touch" "\0"
  /* 16459 */ "TouchEvent" "\0"
  /* 16470 */ "TouchList" "\0"
  /* 16480 */ "TrackEvent" "\0"
  /* 16491 */ "TransformStream" "\0"
  /* 16507 */ "TransformStreamDefaultController" "\0"
  /* 16540 */ "TransitionEvent" "\0"
  /* 16556 */ "TreeColumn" "\0"
  /* 16567 */ "TreeColumns" "\0"
  /* 16579 */ "TreeContentView" "\0"
  /* 16595 */ "TreeWalker" "\0"
  /* 16606 */ "TrustedHTML" "\0"
  /* 16618 */ "TrustedScript" "\0"
  /* 16632 */ "TrustedScriptURL" "\0"
  /* 16649 */ "TrustedTypePolicy" "\0"
  /* 16667 */ "TrustedTypePolicyFactory" "\0"
  /* 16692 */ "UDPMessageEvent" "\0"
  /* 16708 */ "UDPSocket" "\0"
  /* 16718 */ "UIEvent" "\0"
  /* 16726 */ "URL" "\0"
  /* 16730 */ "URLSearchParams" "\0"
  /* 16746 */ "URLSearchParams Iterator" "\0"
  /* 16771 */ "UniFFIPointer" "\0"
  /* 16785 */ "UniFFIScaffolding" "\0"
  /* 16803 */ "UserActivation" "\0"
  /* 16818 */ "UserInteraction" "\0"
  /* 16834 */ "UserProximityEvent" "\0"
  /* 16853 */ "VRDisplay" "\0"
  /* 16863 */ "VRDisplayCapabilities" "\0"
  /* 16885 */ "VRDisplayEvent" "\0"
  /* 16900 */ "VREyeParameters" "\0"
  /* 16916 */ "VRFieldOfView" "\0"
  /* 16930 */ "VRFrameData" "\0"
  /* 16942 */ "VRMockController" "\0"
  /* 16959 */ "VRMockDisplay" "\0"
  /* 16973 */ "VRPose" "\0"
  /* 16980 */ "VRServiceTest" "\0"
  /* 16994 */ "VRStageParameters" "\0"
  /* 17012 */ "VTTCue" "\0"
  /* 17019 */ "VTTRegion" "\0"
  /* 17029 */ "ValidityState" "\0"
  /* 17043 */ "VideoColorSpace" "\0"
  /* 17059 */ "VideoDecoder" "\0"
  /* 17072 */ "VideoEncoder" "\0"
  /* 17085 */ "VideoFrame" "\0"
  /* 17096 */ "VideoPlaybackQuality" "\0"
  /* 17117 */ "VideoTrack" "\0"
  /* 17128 */ "VideoTrackList" "\0"
  /* 17143 */ "VisualViewport" "\0"
  /* 17158 */ "WEBGL_color_buffer_float" "\0"
  /* 17183 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17213 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17242 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17272 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17303 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17333 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17368 */ "WEBGL_debug_renderer_info" "\0"
  /* 17394 */ "WEBGL_debug_shaders" "\0"
  /* 17414 */ "WEBGL_depth_texture" "\0"
  /* 17434 */ "WEBGL_draw_buffers" "\0"
  /* 17453 */ "WEBGL_explicit_present" "\0"
  /* 17476 */ "WEBGL_lose_context" "\0"
  /* 17495 */ "WEBGL_provoking_vertex" "\0"
  /* 17518 */ "WakeLock" "\0"
  /* 17527 */ "WakeLockSentinel" "\0"
  /* 17544 */ "WaveShaperNode" "\0"
  /* 17559 */ "WebExtensionContentScript" "\0"
  /* 17585 */ "WebExtensionPolicy" "\0"
  /* 17604 */ "WebGL2RenderingContext" "\0"
  /* 17627 */ "WebGLActiveInfo" "\0"
  /* 17643 */ "WebGLBuffer" "\0"
  /* 17655 */ "WebGLContextEvent" "\0"
  /* 17673 */ "WebGLFramebuffer" "\0"
  /* 17690 */ "WebGLProgram" "\0"
  /* 17703 */ "WebGLQuery" "\0"
  /* 17714 */ "WebGLRenderbuffer" "\0"
  /* 17732 */ "WebGLRenderingContext" "\0"
  /* 17754 */ "WebGLSampler" "\0"
  /* 17767 */ "WebGLShader" "\0"
  /* 17779 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17806 */ "WebGLSync" "\0"
  /* 17816 */ "WebGLTexture" "\0"
  /* 17829 */ "WebGLTransformFeedback" "\0"
  /* 17852 */ "WebGLUniformLocation" "\0"
  /* 17873 */ "WebGLVertexArrayObject" "\0"
  /* 17896 */ "WebKitCSSMatrix" "\0"
  /* 17912 */ "WebSocket" "\0"
  /* 17922 */ "WebTransport" "\0"
  /* 17935 */ "WebTransportBidirectionalStream" "\0"
  /* 17967 */ "WebTransportDatagramDuplexStream" "\0"
  /* 18000 */ "WebTransportError" "\0"
  /* 18018 */ "WebTransportReceiveStream" "\0"
  /* 18044 */ "WebTransportSendStream" "\0"
  /* 18067 */ "WebrtcGlobalInformation" "\0"
  /* 18091 */ "WheelEvent" "\0"
  /* 18102 */ "Window" "\0"
  /* 18109 */ "WindowClient" "\0"
  /* 18122 */ "WindowContext" "\0"
  /* 18136 */ "WindowGlobalChild" "\0"
  /* 18154 */ "WindowGlobalParent" "\0"
  /* 18173 */ "WindowRoot" "\0"
  /* 18184 */ "Worker" "\0"
  /* 18191 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18217 */ "WorkerGlobalScope" "\0"
  /* 18235 */ "WorkerLocation" "\0"
  /* 18250 */ "WorkerNavigator" "\0"
  /* 18266 */ "WorkerTestUtils" "\0"
  /* 18282 */ "Worklet" "\0"
  /* 18290 */ "WorkletGlobalScope" "\0"
  /* 18309 */ "WritableStream" "\0"
  /* 18324 */ "WritableStreamDefaultController" "\0"
  /* 18356 */ "WritableStreamDefaultWriter" "\0"
  /* 18384 */ "XMLDocument" "\0"
  /* 18396 */ "XMLHttpRequest" "\0"
  /* 18411 */ "XMLHttpRequestEventTarget" "\0"
  /* 18437 */ "XMLHttpRequestUpload" "\0"
  /* 18458 */ "XMLSerializer" "\0"
  /* 18472 */ "XPathEvaluator" "\0"
  /* 18487 */ "XPathExpression" "\0"
  /* 18503 */ "XPathResult" "\0"
  /* 18515 */ "XRBoundedReferenceSpace" "\0"
  /* 18539 */ "XRFrame" "\0"
  /* 18547 */ "XRInputSource" "\0"
  /* 18561 */ "XRInputSourceArray" "\0"
  /* 18580 */ "XRInputSourceEvent" "\0"
  /* 18599 */ "XRInputSourcesChangeEvent" "\0"
  /* 18625 */ "XRPose" "\0"
  /* 18632 */ "XRReferenceSpace" "\0"
  /* 18649 */ "XRReferenceSpaceEvent" "\0"
  /* 18671 */ "XRRenderState" "\0"
  /* 18685 */ "XRRigidTransform" "\0"
  /* 18702 */ "XRSession" "\0"
  /* 18712 */ "XRSessionEvent" "\0"
  /* 18727 */ "XRSpace" "\0"
  /* 18735 */ "XRSystem" "\0"
  /* 18744 */ "XRView" "\0"
  /* 18751 */ "XRViewerPose" "\0"
  /* 18764 */ "XRViewport" "\0"
  /* 18775 */ "XRWebGLLayer" "\0"
  /* 18788 */ "XSLTProcessor" "\0"
  /* 18802 */ "XULCommandEvent" "\0"
  /* 18818 */ "XULElement" "\0"
  /* 18829 */ "XULFrameElement" "\0"
  /* 18845 */ "XULMenuElement" "\0"
  /* 18860 */ "XULPopupElement" "\0"
  /* 18876 */ "XULResizerElement" "\0"
  /* 18894 */ "XULTextElement" "\0"
  /* 18909 */ "XULTreeElement" "\0"
  /* 18924 */ "console" "\0"
  /* 18932 */ "webkitSpeechGrammar" "\0"
  /* 18952 */ "webkitSpeechGrammarList" "\0"
  /* 18976 */ "webkitSpeechRecognition" "\0"
  /* 19000 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

